Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils
Interface SdxObject

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, Localizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

All Known Subinterfaces:
  Concept, Database, DatabaseConnection, Document, DocumentBase, Identity, IndexableDocument, ParsableDocument, Pipeline, Query, Query, Repository, Results, SDXThesaurus, SearchLocations, TermHighlighter, Terms, Transformation

All Known Implementing Classes:
  AbstractConcept, AbstractDatabase, AbstractDatabaseBackedRepository, AbstractDataSourceComponentBackedRepository, AbstractDocument, AbstractDocumentBase, AbstractIdentity, AbstractIndexableDocument, AbstractJDBCDatabase, AbstractPipeline, AbstractQuery, AbstractRepository, AbstractSdxObject, AbstractSdxXMLPipe, AbstractThesaurus, AbstractTransformation, HTMLDocument, LuceneDatabase, LuceneIndex, LuceneTermHighlighter, LuceneThesaurus, Results, SearchLocations, SQLDatabaseConnection, Terms, UserDatabase, XMLDocument

public interface SdxObject
extends org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.configuration.Configurable, Identifiable, Describable, Encodable, Localizable, org.apache.excalibur.xml.sax.XMLizable

Created by IntelliJ IDEA. User: rpandey Date: Feb 12, 2003 Time: 1:40:25 PM To change this template use Options | File Templates.

Nested Class Summary
`static interface` | `SdxObject.ConfigurationNode`

Field Summary

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Method Summary
`org.apache.avalon.framework.logger.Logger` | `getLog()`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Method Detail

### getLog

    public org.apache.avalon.framework.logger.Logger getLog()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.